## frogatto 1.1+dfsg

=== debian/changelog ===
frogatto (1.1+dfsg-4ubuntu1) oneiric; urgency=low

  * Fix link order to list libraries after the objects that require them
    (LP: #771073).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Sep 2011 12:49:26 +0100

frogatto (1.1+dfsg-4) unstable; urgency=low

  * Thoroughly disable ccache.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 19 Jun 2011 17:19:11 +0400

frogatto (1.1+dfsg-3) unstable; urgency=low

  * Disable ccache.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 19 Jun 2011 16:11:54 +0400

frogatto (1.1+dfsg-2) unstable; urgency=low

  * Replace libglew-dev to libglew1.5-dev in deplist (FTBFS), closes: #630971.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 19 Jun 2011 14:51:21 +0400

frogatto (1.1+dfsg-1) unstable; urgency=low

  * New upstream version, closes: #628753.
  * Attention: new version is incompatible with Your old saves.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 14 Jun 2011 11:20:13 +0400
