=== debian/changelog ===
frogatto (1.1.1-maemo1) experimental; urgency=low

  * Update to 1.1.1

 -- Philipp Zabel <philipp.zabel@gmail.com>  Tue, 27 Jul 2011 22:15:39 +0200
