=== debian/changelog ===
frogatto (1.1.1-maemo2) experimental; urgency=low

  * Rebase to the proper 1.1.1 version
  * Stop packaging unused music, this significantly reduces
    the installed footprint.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Tue, 11 Aug 2011 07:15:39 +0200
