=== debian/changelog ===
frogatto (1.2+dfsg-1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1005378)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 28 May 2012 19:24:57 +0100

frogatto (1.2+dfsg-1) unstable; urgency=low

  [ Vincent Cheng ]
  * Non-maintainer upload.
  * New upstream release. (Closes: #662580)
    - Fix FTBFS with -Wl,--as-needed due to bad link order. (Closes: #641570)
  * Drop +ssh protocol in debian/control Vcs-* fields. (Closes: #669295)
  * Enable build hardening using dpkg-buildflags.
    - Add debian/patches/enable-build-hardening.patch.
  * Remove deprecated Encoding field from desktop menu file (lintian tag
    desktop-entry-contains-encoding-key).
  * Fix debian/watch file to point to latest release hosted on Github.
  * Update to Standards version 3.9.3, no changes required.

  [ Dmitry E. Oboukhov ]
  * Add Vincent Cheng to Uploaders list.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 27 May 2012 09:52:56 +0400

frogatto (1.1+dfsg-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add libpng-dev to Build-Depends (closes: #669309). Thanks to Christoph
    Egger for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 28 Apr 2012 14:55:35 +0200
