=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
 https://github.com/frogatto/frogatto/tags .*/tarball/(\d[\d\.]+)
