## frogatto 1.3.1%2Bdfsg

=== debian/control ===
Source: frogatto
Section: contrib/games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Standards-Version: 4.6.1
Build-Depends:
 debhelper-compat (= 13),
 libz-dev,
 libpng-dev,
 libsdl1.2-dev (>= 1.2.7),
 libboost-dev (>= 1.35),
 libglew-dev,
 libsdl-ttf2.0-dev (>= 2.0.8),
 libsdl-mixer1.2-dev (>= 1.2.7),
 libsdl-image1.2-dev (>= 1.2.7),
 libboost-regex-dev (>= 1.35),
 libboost-system-dev (>= 1.35),
 libopengl-dev
Homepage: http://www.frogatto.com/
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>,
	Vincent Cheng <vcheng@debian.org>,
	Martin Quinson <mquinson@debian.org>
Vcs-Git: https://salsa.debian.org/games-team/frogatto.git
Vcs-Browser: https://salsa.debian.org/games-team/frogatto

Package: frogatto
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 fonts-freefont-ttf,
 frogatto-data (>= ${UVersion})
Description: 2D platformer game starring a quixotic frog
 Frogatto is a platformer in the style of old arcade, Sega and
 Nintendo games. The world is viewed as a cross-section seen from the
 side, and your character walks and jumps between solid platforms
 whilst fighting monsters.
 .
 This package contains game engine.
