=== debian/changelog ===
frogatto (1.3.1+dfsg-7) unstable; urgency=medium

  * Team Upload
  * d/control: fix Maintainer <-> Uploaders inversion
  * Remove old Debian menu file
  * Reformat d/control with debputy

  [ Martin Quinson ]
  * Use secure URI in Homepage field.
  * Update watch file format version to 4.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Apr 2025 17:05:59 +0200

frogatto (1.3.1+dfsg-6) unstable; urgency=medium

  * Fix a FTBFS by using GLES2 instead of libopengl-dev (Closes: #1010804).
    Thanks Reiner Herrmann for the patch.
  * Drop cdbs and use debhelper only; Bump debhelper to v13.
  * Bump Standards-Version to 4.6.1 (move to dh)
  * d/p/commit-824cadd: commit picked upstream to hopefully fix some
    segfaults.

 -- Martin Quinson <mquinson@debian.org>  Thu, 25 Aug 2022 22:42:15 +0200

frogatto (1.3.1+dfsg-5) unstable; urgency=low

  * New patch to fix a FTBFS with Boost 1.71 (Closes: #959480).
    Thanks Giovanni Mascellani for the report and the patch.
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 10.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Martin Quinson <mquinson@debian.org>  Fri, 05 Jun 2020 22:23:41 +0200

frogatto (1.3.1+dfsg-4) unstable; urgency=medium

  * Fix gcc7 FTBFS (forbids comparison between pointer and integer),
    closes: #871230.

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 16 Aug 2017 11:23:08 +0300

frogatto (1.3.1+dfsg-3) unstable; urgency=low

  [ Martin Quinson ]
  * Change the menu section from 'Games/Action' to 'Games/Advantures'
  * d/p/gcc6: fix compilation with gcc 6 (Closes: #833775)
  * d/control: Update to Standards version 3.9.8, no changes required.

  [ Vincent Cheng ]
  * Update email address.

 -- Martin Quinson <mquinson@debian.org>  Fri, 19 Aug 2016 00:23:24 +0200

frogatto (1.3.1+dfsg-2) unstable; urgency=low

  * Add myself to the uploaders -- oops
  * Fix a FTBFS with boost 1.53 (Closes: #709248)
    Thanks to dmitrij.ledkov@ubuntu.com for the report and for the patch

 -- Martin Quinson <mquinson@debian.org>  Wed, 22 May 2013 01:36:39 +0200

frogatto (1.3.1+dfsg-1) unstable; urgency=low

  * Team upload.

  [ Vincent Cheng ]
  * New upstream release (Closes: #697480).
  * Remove all patches; implement no ccache, build hardening in debian/rules.
  * Add build-dep on libglew-dev instead of libglew1.5-dev | libglew1.6-dev.
  * Enable parallel build.
  * Update debian/watch, thanks to Bart Martens.
  * Update to Standards version 3.9.4, no changes required.

  [ Martin Quinson ]
  * Use the FreeFont instead of Ubuntu one, as the later one is not
    compatible with DFSG (see e.g. #603157). This also fixes an issue
    in loading the editor, as a relative path was hardcoded then.
  * Depend on fonts-freefont-ttf that provide the font we use
  * Translate the comment of desktop file in French.
  * Switch to debhelper compatibility level 9.

 -- Martin Quinson <mquinson@debian.org>  Sat, 26 Jan 2013 23:31:10 +0100
