=== debian/control ===
Source: frogatto
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Dmitry E. Oboukhov <unera@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Martin Quinson <mquinson@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libboost-dev (>= 1.35),
 libboost-regex-dev (>= 1.35),
 libboost-system-dev (>= 1.35),
 libglew-dev,
 libopengl-dev,
 libpng-dev,
 libsdl-image1.2-dev (>= 1.2.7),
 libsdl-mixer1.2-dev (>= 1.2.7),
 libsdl-ttf2.0-dev (>= 2.0.8),
 libsdl1.2-dev (>= 1.2.7),
 libz-dev,
Standards-Version: 4.7.2
Homepage: https://www.frogatto.com/
Vcs-Git: https://salsa.debian.org/games-team/frogatto.git
Vcs-Browser: https://salsa.debian.org/games-team/frogatto
X-Style: black

Package: frogatto
Architecture: any
Depends:
 fonts-freefont-ttf,
 frogatto-data (>= ${UVersion}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: 2D platformer game starring a quixotic frog
 Frogatto is a platformer in the style of old arcade, Sega and
 Nintendo games. The world is viewed as a cross-section seen from the
 side, and your character walks and jumps between solid platforms
 whilst fighting monsters.
 .
 This package contains game engine.
