=== debian/watch ===
version=4
opts=dversionmangle=s/\+(dfsg|ds|deb)\d*$// https://github.com/frogatto/frogatto/tags .*/v?(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
